package lumiukkoFX;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author vesal
 * @version 7.2.2016
 *
 */
public class LumiukotMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("LumiukotView.fxml"));
            final Pane root = ldr.load();
            //final LumiukotController lumiukotCtrl = (LumiukotController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("lumiukot.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Lumiukot");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei käytössä
     */
    public static void main(String[] args) {
        launch(args);
    }
}