package oliot.aika.olio;

@SuppressWarnings("javadoc")
public class Aika { // luokka

    private int h = 0;  // attribuutit
    private int m = 0;


    public Aika() { // oletusmuodostaja
      //
    }

    
    public Aika(int h, int m) { // Muodostaja
        this.h = h;
        this.m = m;
    }


    @Override
    public String toString() {  // Metodi, jolle tulee uusi toiminta
        return String.format("%02d:%02d", this.h, this.m); // 07:02
    }


    public void lisaa(int lisaMin) {   // Metodi
        int yht_min = h * 60 + m + lisaMin;
        h = yht_min / 60;
        m = yht_min % 60;
    }


    public static void main(String[] args) {
        Aika a1 = new Aika(12, 15);    // a1 = viite olioon
        Aika a2 = new Aika(13, 16);
        Aika a3 = new Aika(14, 25);
        a1.lisaa(55);   System.out.println(a1.toString());
        a2.lisaa(27);   System.out.println(a2);
        a3.lisaa(39);   System.out.println(a3);
        Aika aika = new Aika();  System.out.println(aika);
        // a1.h = 5; // ei mahdollista viitata
    }
}