package guiMalli2;

import java.awt.BorderLayout;
import java.awt.EventQueue;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JTextArea;
import javax.swing.JButton;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * Malli luokasta, joka antaa näkyville oman tekstialuuensa ja luovuttaa
 * itsensä toisen luokan käyttöön ja toinen luokka kirjoitata tuohon tekstialueeseen
 * @author vesal
 * @version 14.3.2013
 */
public class GUIMalli extends JFrame {

    /**  */
    private static final long serialVersionUID = 1L;
    private JPanel contentPane;
    private final JTextArea textArea = new JTextArea();
    private final JButton btnKirjoita = new JButton("Kirjoita");
    /**
     * @wbp.nonvisual location=148,371
     */
    private final KirjoitaSwing kirjoitaSwing = new KirjoitaSwing(this);


    /**
     * @return viite olioon, joka hoitaa kirjoittamisen
     */
    protected KirjoitaSwing getKirjoitaSwing() {
        return kirjoitaSwing;
    }


    /**
     * Launch the application.
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                try {
                    GUIMalli frame = new GUIMalli();
                    frame.setVisible(true);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }


    /**
     * Create the frame.
     */
    public GUIMalli() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setBounds(100, 100, 450, 300);
        contentPane = new JPanel();
        contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
        contentPane.setLayout(new BorderLayout(0, 0));
        setContentPane(contentPane);
        
        contentPane.add(textArea, BorderLayout.CENTER);
        btnKirjoita.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent arg0) {
                getKirjoitaSwing().kirjoita();
            }
        });
        
        contentPane.add(btnKirjoita, BorderLayout.SOUTH);
    }


    /**
     * @return alue johon saa kirjoittaa
     */
    public JTextArea getTextArea() {
        return textArea;
    }

}