#include <iostream>
using namespace std;

class Taulukko2 {
    int lkm;
    int maxkoko;
    int *alkiot;

    Taulukko2(const Taulukko2 &t) =delete;
    void operator=(const Taulukko2 &t) =delete;

public:
    Taulukko2(int maxkoko) {
        lkm = 0;
        this->maxkoko = maxkoko;
        alkiot = new int[maxkoko];
    }

    virtual ~Taulukko2() {
        delete[] alkiot;
    }

    virtual void lisaa(int uusi) {
        if ( lkm >= maxkoko ) return;
        alkiot[lkm++] = uusi; // *(alkiot+lkm) = uusi;
    }

    virtual ostream& tulosta(ostream &out) const;
};


ostream& Taulukko2::tulosta(ostream &out) const
{
    for (int i=0; i<lkm; i++)
        out << alkiot[i] << " ";
    return out;
}


ostream& operator<<(ostream &out, const Taulukko2 &t)
{
    return t.tulosta(out);
}


int main2()
{
    Taulukko2 luvut(5);
    luvut.lisaa(2001);
    luvut.lisaa(22);
    // luvut.tulosta(cout);
    cout << luvut << endl;
    // int a =  luvut[0];
    // luvut[0] = 55;
    return 0;
}
